;Acaddoc.lsp TAD20
;
;This file will be load automatically at each editing session.
;The function of this file is to search for the path of TAD.cfg
;and setup the software variable tadf, tadm, tadd, tads, tado, tadb and tadc.
;It will load tad.lsp automatically.
;If it is a new drawing, it will call setup.lsp.
;If it is not a new drawing, load dim variables and basic functions.
;The function STARTUP will be executed automatically.
(defun S::STARTUP (/ loc pa temp)
  (setq loc (findfile "tad.cfg"));check path
  (if (/= loc nil)
    (progn
      (setq loclen (strlen loc) palen (- loclen 12));substract \sld\tad.cfg length
      (setq pa (substr loc 1 palen))
       (setq tadf (strcat pa "/fas/"));setup tad path
       (setq tadd (strcat pa "/dwg/"))
       (setq tads (strcat pa "/sld/"))
       (setq tadm (strcat pa "/mnu/"))
       (setq tado (strcat pa "/oth/"))
       (setq tadb (strcat pa "/bmp/"))
       (setq tadc (strcat pa "/dcl/"))
       (setq s_Menugroup "tad.")
       (setq tad-v "c")
;       (if (= (strcase (getenv "tadlang")) "CHINESE")
;           (setq tad-v "c")(setq tad-v "e"))
    )
    (prompt "\nTAD is not install properly.  Please check system variable ACAD first.\n")
  )
  (setvar "secureload" 1);2014
  (load (strcat tadf "tad"))
  (load (strcat tadf "showlic"))
  (load "acad.mnl")
  (showlic)
  (load (strcat tadf "lsysvar"))(lsysvar)
  (load (strcat tadf "segment"))
  (load (strcat tadf "match"));(prompt ".")
  (load (strcat tadf "ctrlin"))
  (load (strcat tadf "areamp"));(prompt ".")
  (load (strcat tadf "mext"))
  (load (strcat tadf "mtrim"))
  (load (strcat tadf "tadglue"));(prompt ".")
  (load (strcat tadf "arrayi"))
  (load (strcat tadf "rotaten"))
  (load (strcat tadf "k3d"))
  (load (strcat tadf "mirobj"));(prompt ".")
  (load (strcat tadf "clayer"))
  (load (strcat tadf "showname"))
  (load (strcat tadf "dd2bk916"))
  (load (strcat tadf "UDLR"))
  (load (strcat tadf "code-wr"));(prompt ".")
  (load (strcat tadf "quad-45"))
  (load (strcat tadf "aux-x-13"))
  (load (strcat tadf "stadtstyle"));2016
  (setvar "acadlspasdoc" 1)
  (setvar "aunits" 1)
  (term_dialog)
  (setq temp (findfile "add.lsp"))
  (if temp (load temp));(prompt "10")
  (if (null initdim)(progn (load (strcat tadf "initdim"))(initdim)));(prompt "11")
  (if (wcmatch (strcase (getvar "dwgname")) "DRAWING*.DWG")
    (if (= (getvar "useri5") 111)
      (progn (load (strcat tadf "setupw"))
            (setupw))
    (prompt (strcat "\n" (msg "general" "ac1")))
      ;To start a new drawing, please run 'SETUP' or use 'NEW' command.
    );(prompt "12")
  );end of if
 (if (not (menugroup "tad"))(command "cuiload" "tad-20")
   )
 (setvar "filedia" 1)(setvar "startup" 1);2008
 (menucmd "p11=+tad.pop11")
 (stadtstyle);2016 set tad textstyle TADphase
  (princ)
)


